> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/common/macronutrientsrangeinput.md).

# MacroNutrientsRangeInput

### Available Fields

| Required             | Required | Type                                      | Description                                             |
| -------------------- | -------- | ----------------------------------------- | ------------------------------------------------------- |
| `proteinCalories`    | False    | [Range](/graphql/objects/common/range.md) | Range of calories from protein per serving              |
| `fatCalories`        | False    | [Range](/graphql/objects/common/range.md) | Range of calories from fat per serving                  |
| `carbsCalories`      | False    | [Range](/graphql/objects/common/range.md) | Range of calories from carbs per serving                |
| `calories`           | False    | [Range](/graphql/objects/common/range.md) | Range of total calories per serving                     |
| `protein`            | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from protein per serving             |
| `fat`                | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from fat per serving                 |
| `carbs`              | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from carbs per serving               |
| `sugar`              | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from sugar per serving               |
| `fiber`              | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from fiber per serving               |
| `saturatedFat`       | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from saturated fat per serving       |
| `monounsaturatedFat` | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from monounsaturated fat per serving |
| `polyunsaturatedFat` | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from polyunsaturated Fat per serving |
| `transFat`           | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from trans fat per serving           |
| `cholesterol`        | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from cholesterol per serving         |
| `sodium`             | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from sodium per serving              |
| `potassium`          | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from potassium per serving           |
| `vitaminA`           | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from vitamin A per serving           |
| `vitaminB6`          | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from vitamin B6 per serving          |
| `vitaminB12`         | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from vitamin B12 per serving         |
| `vitaminC`           | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from vitamin C per serving           |
| `vitaminD`           | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from vitamin D per serving           |
| `vitaminE`           | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from vitamin E per serving           |
| `calcium`            | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from calcium per serving             |
| `iron`               | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from iron per serving                |
| `netcarbs`           | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from net carbs per serving           |
| `dha`                | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from DHA per serving                 |
| `dpa`                | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from DPA per serving                 |
| `epa`                | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from EPA per serving                 |
| `ala`                | False    | [Range](/graphql/objects/common/range.md) | Range of nutrients from ala per serving                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/common/macronutrientsrangeinput.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
